## open-vm-tools 10.3.0

=== debian/changelog ===
open-vm-tools (2:10.3.0-1~bpo8+1) jessie-backports-sloppy; urgency=high

  * Rebuild for jessie-backports-sloppy.
  * [ac9c6e5] Add gbp.conf
  * [cca5401] Revert "Stay with libssl1.0 for now."
    This reverts commit d50714b27e07a494be0d29fb81e0a48e7e38435d.
  * [4956e09] Work around #888955.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 13 Aug 2018 18:09:13 +0200

open-vm-tools (2:10.3.0-1) unstable; urgency=medium

  * [16acbc3] Remove PrivateTmp=yes.
    Thanks to Christian Ehrhardt (Closes: #905170)
  * [72aabb2] Add RequiresMountsFor=/tmp.
    Thanks to Christopher Odenbach (Closes: #900566)
  * [96bf0c5] Update upstream source from tag 'upstream/10.3.0'
    Update to upstream version '10.3.0'
    with Debian dir ace0137b2d17e039ddac188fdcd15f882119925a
  * [e5a9b82] Re-add .travis.yml
  * [83e043f] Refreshing patches

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 07 Aug 2018 23:41:00 +0200

open-vm-tools (2:10.2.5-1) unstable; urgency=medium

  * [ea03a58] Update upstream source from tag 'upstream/10.2.5'
    Update to upstream version '10.2.5'
    with Debian dir 74e96286320224bb6d5b717034930169514dbd51
  * [c1c18d3] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 06 Apr 2018 11:18:50 +0200
