=== debian/control ===
Source: open-vm-tools
Section: admin
Priority: extra
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends:
 debhelper (>= 9.20160402~), autotools-dev, doxygen, libcunit1-dev,
 libdumbnet-dev, libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
 libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
 libxinerama-dev, libxss-dev, libxtst-dev, dh-systemd,
 libmspack-dev,
 libssl-dev,
 libxmlsec1-dev,
 libudev-dev,
 libdrm-dev
Standards-Version: 3.9.6
Homepage: https://github.com/vmware/open-vm-tools
Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
Vcs-Browser: https://github.com/bzed/pkg-open-vm-tools

Package: open-vm-tools
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2
Recommends: ethtool, zerofree, fuse, lsb-release
Suggests: open-vm-tools-desktop, cloud-init
Breaks: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
Replaces: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains only the core user-space programs and libraries.

Package: open-vm-tools-desktop
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends},
 open-vm-tools (= ${binary:Version}),
 fuse
Breaks: open-vm-tools (<< 2:10.0.0~)
Replaces: open-vm-tools (<< 2:10.0.0~)
Recommends:
 xauth, xserver-xorg-input-vmmouse,
 xserver-xorg-video-vmware
Suggests: xdg-utils
Description: Open VMware Tools for virtual machines hosted on VMware (GUI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the user-space programs and libraries that are essential
 for improved user experience of VMware virtual machines.

Package: open-vm-tools-dev
Section: devel
Architecture: amd64 i386
Depends: ${misc:Depends}, open-vm-tools (= ${binary:Version})
Breaks: open-vm-tools (<< 2:9.10.2-2822639-2~)
Replaces: open-vm-tools (<< 2:9.10.2-2822639-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (development)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the development files.
