=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: open-vm-tools
 Section: admin
-Priority: extra
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
- debhelper (>= 9.20160402~), autotools-dev, doxygen, libcunit1-dev,
+ debhelper (>= 11~), doxygen, libcunit1-dev,
  libdumbnet-dev, libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
- libxinerama-dev, libxss-dev, libxtst-dev, dh-systemd,
+ libxinerama-dev, libxss-dev, libxtst-dev,
  libmspack-dev,
  libssl-dev,
  libxmlsec1-dev,
  libudev-dev,
- libdrm-dev
-Standards-Version: 3.9.6
+ libdrm-dev,
+Standards-Version: 4.4.0
 Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
 Vcs-Browser: https://github.com/bzed/pkg-open-vm-tools
@@ -22,7 +23,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2
 Recommends: ethtool, zerofree, fuse, lsb-release
 Suggests: open-vm-tools-desktop, cloud-init
-Breaks: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
+Breaks: open-vm-tools-desktop (<< 2:10.3.5-2~)
 Replaces: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
 Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
  The Open Virtual Machine Tools (open-vm-tools) project is an open source
@@ -36,13 +37,15 @@
 Architecture: amd64 i386
 Depends: ${misc:Depends}, ${shlibs:Depends},
  open-vm-tools (= ${binary:Version}),
- fuse
-Breaks: open-vm-tools (<< 2:10.0.0~)
-Replaces: open-vm-tools (<< 2:10.0.0~)
+ fuse,
+ kmod,
+Breaks: open-vm-tools (<< 2:10.3.5-2~)
+Replaces: open-vm-tools (<< 2:10.3.5-2~)
 Recommends:
  xauth, xserver-xorg-input-vmmouse,
  xserver-xorg-video-vmware
 Suggests: xdg-utils
+XB-Modaliases: ${modaliases}
 Description: Open VMware Tools for virtual machines hosted on VMware (GUI)
  The Open Virtual Machine Tools (open-vm-tools) project is an open source
  implementation of VMware Tools. It is a suite of virtualization utilities and
