## open-vm-tools 10.3.10.1

=== debian/changelog ===
open-vm-tools (2:10.3.10.1-1+deb10u3) buster-security; urgency=medium

  * Updated Version No.

 -- DingHao <dinghao@uniontech.com>  Thu, 13 Oct 2022 13:08:21 +0800

open-vm-tools (2:10.3.10-1+deb10u3) buster-security; urgency=high

  * [a69beac] Properly check authorization on incoming guestOps requests
    (Closes: #1018012, CVE-2022-31676)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 24 Aug 2022 10:14:57 +0200

open-vm-tools (2:10.3.10-1+deb10u2) buster; urgency=medium

  * [d512626] Fix memory leaks and error handling.
    From the upstream stable-10.3.10-vix-memory-leaks branch:
    commit 26b9edbeb79d1c67b9ae73a0c97c48999c1fb503
        Fix leaks in ListAliases and ListMappedAliases
    commit 7b874f37f970aab2adddb063a8363594f47abf70
        End VGAuth impersonation in the case of error.
    commit 015db4c06a8be65eb96cf62421e8b5366993452f
        Fix memory leaks in 'vix' tools plugin.
    Thanks to Oliver Kurth (Closes: #941955)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 09 Oct 2019 14:18:48 +0200

open-vm-tools (2:10.3.10-1+deb10u1) buster; urgency=medium

  * [efb4df1] Fix guest OS reporting for Debian/Buster.
    Without this fix, open-vm-tools report other4xLinux64Guest instead of
    Debian/Buster.
    Reason is the output of lsb_release, which outputs:
    $ lsb_release -sd
    Debian GNU/Linux 10 (buster)
    But the code in open-vm-tools expects '10.'.
    Thanks to Oliver Kurth (Closes: #934005)
  * [2308b74] Updating gbp.conf for buster.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 07 Aug 2019 21:09:29 +0200
