## open-vm-tools 11.0.1

=== debian/changelog ===
open-vm-tools (2:11.0.1-2ubuntu0.19.04.2) disco; urgency=medium

  * d/p/lp-1855686-Avoid-vmtoolsd-crash-in-HostInfo.patch: fix crash with
    uncommon lsb_output behavior (LP: #1855686)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 09 Dec 2019 11:03:56 +0100

open-vm-tools (2:11.0.1-2ubuntu0.19.04.1) disco; urgency=medium

  * Update to latest release v11 (LP: #1844834)
    - d/rules: Revert "Enable all compiler errors again" for the older
      compiler

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Oct 2019 09:58:25 +0100

open-vm-tools (2:11.0.1-2) unstable; urgency=medium

  * [76c600f] Fix segfault for fs devices without /
    See https://github.com/vmware/open-vm-tools/issues/378 for details.
    Thanks to Mo Zhou (Closes: #942692)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Oct 2019 15:48:48 +0200

open-vm-tools (2:11.0.1-1) unstable; urgency=medium

  * [bb36e10] Update upstream source from tag 'upstream/11.0.1'
    Update to upstream version '11.0.1'
    with Debian dir 60c0d512096774b9a2a7cc9e4e94556b2893ae8a

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Oct 2019 09:40:50 +0200

open-vm-tools (2:11.0.0-2) unstable; urgency=medium

  * [4cfe383] Update Vcs-Git/Browser to point to salsa.
  * [bc253ad] Remove .travis.yml, add debian/.gitlab-ci.yml
  * [c92ca3a] Add add_patch.sh script to add patches from upstream.
  * [1d9b491] Add patch to remove deprecated inline functions
  * [3e2e307] Rename lintian-override file properly

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 15 Oct 2019 23:25:24 +0200

open-vm-tools (2:11.0.0-1) unstable; urgency=medium

  [ goldstar611 ]
  * [c138871] Ensure VGAuthService starts after AppArmor
    https://gitlab.com/apparmor/apparmor/issues/13

  [ Bernd Zeimetz ]
  * [28ef841] New upstream version 11.0.0~0
  * [f78ed2d] New upstream version 11.0.0
    Closes: #940853
  * [19efc80] Revert "Revert "Removing libdumbnet-dev.""
    This reverts commit 31177fab964d92687501ab81774440a9b8d09e39.
  * [bc14a8b] snapshot changelog
  * [1c5e9ea] Dropping patches that were picked from upstream

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 30 Sep 2019 14:37:27 +0200
