=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
  debhelper (>= 11~), doxygen, libcunit1-dev,
- libdumbnet-dev, libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
+ libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
  libxinerama-dev, libxss-dev, libxtst-dev,
  libmspack-dev,
@@ -15,8 +15,8 @@
  libdrm-dev,
 Standards-Version: 4.4.0
 Homepage: https://github.com/vmware/open-vm-tools
-Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
-Vcs-Browser: https://github.com/bzed/pkg-open-vm-tools
+Vcs-Git: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools.git
+Vcs-Browser: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools
 
 Package: open-vm-tools
 Architecture: amd64 i386
