## open-vm-tools 11.0.5

=== debian/changelog ===
open-vm-tools (2:11.0.5-4ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: local privilege escalation
    - debian/patches/CVE-2022-31676.patch: check authorization on incoming
      guestOps requests in open-vm-tools/vgauth/serviceImpl/proto.c.
    - CVE-2022-31676

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Aug 2022 09:24:08 -0400

open-vm-tools (2:11.0.5-4ubuntu0.18.04.1) bionic; urgency=medium

  * Update to latest release v11.0.5 (LP: #1868012)
    - d/rules: Revert "Enable all compiler errors again" for the older compiler

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 25 Mar 2020 11:33:50 +0100

open-vm-tools (2:11.0.5-4) unstable; urgency=medium

  * [c720d18] Run vmtoolsd with Nice=-20.
    Ensure that the watchdog is always able to answer.
    Thanks to Aron Xu (Closes: #953346)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 09 Mar 2020 17:10:31 +0100

open-vm-tools (2:11.0.5-3) unstable; urgency=medium

  * [9d3c1d7] Build-Depend on liblzma-dev.
    Thanks to Lucas Nussbaum (Closes: #951940)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 23 Feb 2020 16:57:41 +0100

open-vm-tools (2:11.0.5-2) unstable; urgency=medium

  * [eab2f1a] Add vmtoolsd.service alias.
    Debian's open-vm-tools.service is rather unsuaul and based on the
    history of the package, so ship an alias.
  * [b2977cd] Rectify a log spew in vmsvc logging.
    Upstream commit 4ee0bd3c8ead89541ab7d196fb54e940e397420d
    When a LSI Logic Parallel SCSI controller sits in PCI bus 0
    (SCSI controller 0), the Linux disk device enumeration does not provide
    a "label" file with the controller name.  This results in messages like
    "GuestInfoGetDiskDevice: Missing disk device name; VMDK mapping
    unavailable for "/var/log", fsName: "/dev/sda2" repeatedly appearing
    in the vmsvc logging.  The patch converts what previously was a warning
    message to a debug message and thus avoids the log spew.
    Thanks to Oliver Kurth (Closes: #950888)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 11 Feb 2020 15:56:51 +0100

open-vm-tools (2:11.0.5-1) unstable; urgency=medium

  * [e302fbf] Depend on lsb-release instead of recommending it.
  * [7731b26] Update upstream source from tag 'upstream/11.0.5'
    Update to upstream version '11.0.5'
    with Debian dir 7744f94a9026a7a3178032ef206d5d5798206fa5
    Closes: #949011
  * [68e74c1] snapshot changelog
  * [6ce977f] Refreshing patches

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 16 Jan 2020 14:05:36 +0100

open-vm-tools (2:11.0.1-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [e30fabc] d/p/lp-1855686-Avoid-vmtoolsd-crash-in-HostInfo.patch:
    fix crash with uncommon lsb_output behavior (LP: #1855686)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 30 Dec 2019 00:56:03 +0100

open-vm-tools (2:11.0.1-3) unstable; urgency=medium

  * [c30953f] gitlab-ci: disable reprotest
  * [ee6873b] Use upstream patch to fix (ignore) ZFS.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 30 Oct 2019 21:16:31 +0100
