## open-vm-tools 11.0.5-4mint1

=== debian/changelog ===
open-vm-tools (2:11.0.5-4mint1) ulyssa; urgency=medium

  * Postinst: Don't call udevadm

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Dec 2020 16:11:28 +0000
