=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: open-vm-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
  debhelper (>= 11~), doxygen, libcunit1-dev,
  libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
