=== debian/control ===
--- 
+++ 
@@ -13,14 +13,15 @@
  libudev-dev,
  libdrm-dev,
  liblzma-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools.git
 Vcs-Browser: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools
 
 Package: open-vm-tools
 Architecture: amd64 i386
-Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2, lsb-release
+Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2, lsb-release,
+ net-tools
 Recommends: ethtool, zerofree, fuse
 Suggests: open-vm-tools-desktop, cloud-init
 Breaks: open-vm-tools-desktop (<< 2:10.3.5-2~)
@@ -42,7 +43,7 @@
 Breaks: open-vm-tools (<< 2:10.3.5-2~)
 Replaces: open-vm-tools (<< 2:10.3.5-2~)
 Recommends:
- xauth, xserver-xorg-input-vmmouse,
+ xauth,
  xserver-xorg-video-vmware
 Suggests: xdg-utils
 XB-Modaliases: ${modaliases}
@@ -54,6 +55,19 @@
  .
  This package contains the user-space programs and libraries that are essential
  for improved user experience of VMware virtual machines.
+
+Package: open-vm-tools-sdmp
+Architecture: amd64 i386
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ open-vm-tools (= ${binary:Version}), iproute2, procps, gawk
+Description: Open VMware Tools for VMs hosted on VMware (Service Discovery Plugin)
+ The Open Virtual Machine Tools (open-vm-tools) project is an open source
+ implementation of VMware Tools. It is a suite of virtualization utilities and
+ drivers to improve the functionality, user experience and administration of
+ VMware virtual machines.
+ .
+ This package contains service discover plugin required to discover services
+ then used to build relationships between VMs in vRealiize.
 
 Package: open-vm-tools-dev
 Section: devel
