=== debian/changelog ===
open-vm-tools (2:11.2.5-2+deb11u5) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2025-41244
    Disable (default) the execution of the SDMP get-versions.sh script

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Sep 2025 10:03:02 +0200

open-vm-tools (2:11.2.5-2+deb11u4) bullseye-security; urgency=medium

  * [1f39bba] Fixing an insecure file handling vulnerability.
    It allowed a malicious actor with non-administrative privileges
    on a guest VM to tamper the local files to trigger insecure file
    operations within that VM.
    VMSA-2025-0007
    CVE-2025-22247 (Closes: #1105159)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 12 May 2025 15:49:02 +0200

open-vm-tools (2:11.2.5-2+deb11u3) bullseye-security; urgency=medium

  * Closes:  #1054666
  * [5f241c9] Fixing CVE-2023-34059.
    This fixes a file descriptor hijack vulnerability in the vmware-user-suid-wrapper
    command.  A malicious actor with non-root privileges might have been able to hijack the
    /dev/uinput file descriptor allowing them to simulate user inputs.
  * [0c3fe2a] Fixing CVE-2023-34058.
    This fixes a SAML Token Signature Bypass vulnerability. A malicious actor
    that has been granted Guest Operation Privileges in a target virtual
    machine might have been able to elevate their privileges if that target
    virtual machine has been assigned a more privileged Guest Alias.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 30 Oct 2023 18:02:12 +0100

open-vm-tools (2:11.2.5-2+deb11u2) bullseye-security; urgency=high

  * [29e736e] Fixing CVE-2023-20867, CVE-2023-20900
    - Authentication Bypass vulnerability in VMware Tools (CVE-2023-20867)
      A fully compromised ESXi host can force VMware Tools to fail to
      authenticate host-to-guest operations, impacting the confidentiality
      and integrity of the guest virtual machine.
    - SAML token signature bypass vulnerability (CVE-2023-20900)
      A malicious actor with man-in-the-middle (MITM) network positioning
      between vCenter server and the virtual machine may be able to bypass
      SAML token signature verification, to perform VMware Tools Guest
      Operations. (Closes: #1050970)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 06 Sep 2023 20:17:28 +0200

open-vm-tools (2:11.2.5-2+deb11u1) bullseye-security; urgency=high

  * [67b16ff] Properly check authorization on incoming guestOps requests.
    (Closes: #1018012 CVE-2022-31676)
  * [747392e] gbp: build in bullseye
  * [80c2e62] gitlab-ci: build in bullseye

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 24 Aug 2022 10:28:40 +0200

open-vm-tools (2:11.2.5-2) unstable; urgency=medium

  * [7f14954] Drop max_nic_count patch.
    See https://github.com/vmware/open-vm-tools/issues/128 for details.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 25 Feb 2021 17:49:11 +0100

open-vm-tools (2:11.2.5-1) unstable; urgency=medium

  * [b54d022] New upstream version 11.2.5
    Thanks: John Wolfe
    Closes: #980190

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 15 Jan 2021 22:30:08 +0100

open-vm-tools (2:11.2.0-2) unstable; urgency=medium

  * [d5d4593] Fix building with new gcc versions
  * [94ce968] build-depend on libgdk-pixbuf-xlib-2.0-dev
    Closes: #978262
    Thanks to Lucas NUssbaum for the upload reminder.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Dec 2020 00:01:29 +0100

open-vm-tools (2:11.2.0-1) unstable; urgency=medium

  * [447d833] Update upstream source from tag 'upstream/11.2.0'
    Update to upstream version '11.2.0'
    with Debian dir 67243748d9ba09fc4e53f1ab4e921e119c981beb
    Closes: #972732
  * [704edba] remove pam-use-common-auth-account patch.
    Not needed anymore
  * [f792922] Use upstream pam file for Debian

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Oct 2020 19:33:02 +0100
