=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 			--with-pic \
 			--enable-xmlsec1 \
 			--with-gtk3  \
-			CFLAGS="-fPIC $(CFLAGS)" \
+			--enable-servicediscovery \
+			CFLAGS="-fPIC -Wno-error=deprecated-declarations -Wno-error=address-of-packed-member -Wno-nonnull $(CFLAGS)" \
 			CUSTOM_PROCPS_NAME=procps
 
 override_dh_auto_install:
@@ -74,9 +75,16 @@
 	mkdir -p debian/open-vm-tools-desktop/etc/xdg/autostart
 	mv debian/open-vm-tools/etc/xdg/autostart/vmware-user.desktop debian/open-vm-tools-desktop/etc/xdg/autostart
 	rm -rf debian/open-vm-tools/etc/xdg
-	
+
 	mkdir -p debian/open-vm-tools-desktop/lib/systemd/system/open-vm-tools.service.d
 	cp debian/desktop.conf debian/open-vm-tools-desktop/lib/systemd/system/open-vm-tools.service.d/
+
+	mkdir -p debian/open-vm-tools-sdmp/usr/lib/open-vm-tools/plugins/vmsvc/
+	mv debian/open-vm-tools/usr/lib/open-vm-tools/plugins/vmsvc/libserviceDiscovery.so debian/open-vm-tools-sdmp/usr/lib/open-vm-tools/plugins/vmsvc/
+
+	mkdir -p debian/open-vm-tools-sdmp/usr/lib/open-vm-tools/serviceDiscovery/scripts/
+	mv debian/open-vm-tools/usr/lib/open-vm-tools/serviceDiscovery/scripts/* debian/open-vm-tools-sdmp/usr/lib/open-vm-tools/serviceDiscovery/scripts/
+	rm -rf debian/open-vm-tools/usr/lib/open-vm-tools/serviceDiscovery/
 
 override_dh_gencontrol:
 	if [ "${VENDOR}" = "UBUNTU" ]; \
@@ -90,7 +98,6 @@
 	dh_testroot
 	find debian/open-vm-tools/etc -type f -print0 | xargs -0 chmod ugo-x
 	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/scripts/vmware/*
-	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/vm-support
 	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/*-vm-default
 
 	dh_fixperms -Xvmware-user-suid-wrapper
@@ -107,4 +114,3 @@
 	dh_md5sums
 	# remove broken \ escaping from md5sums
 	sed -i -e 's,^\\,,' -e 's,\\\\,\\,' debian/open-vm-tools-desktop/DEBIAN/md5sums
-
