=== debian/watch ===
version=3
https://github.com/vmware/open-vm-tools/tags /vmware/open-vm-tools/archive/stable-([0-9.-]+).tar.gz
