## open-vm-tools 11.2.5-2ubuntu1mint1

=== debian/changelog ===
open-vm-tools (2:11.2.5-2ubuntu1mint1) uma; urgency=medium

  * Postinst: Don't call udevadm

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Jun 2021 17:24:45 +0100

open-vm-tools (2:11.2.5-2ubuntu1~ubuntu20.04.1) focal; urgency=medium

  * Update to latest release v11.2.5 (LP: #1911831)
    - Revert "Add net-tools as dependency again." as we don't want to
      modify the focal seed/ISO content without a real issue behind it.
    - Revert "build-depend on libgdk-pixbuf-xlib-2.0-dev"

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 17 Mar 2021 08:14:50 +0100

open-vm-tools (2:11.2.5-2ubuntu1) hirsute; urgency=medium

  * d/p/fix-FTFBS-glib2.0-2.66.3.patch: fix FTBFS with glib2.0 >=2.66.3

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 08 Mar 2021 12:12:35 +0100
