=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: open-vm-tools
 Section: admin
 Priority: optional
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
- debhelper (>= 11~), doxygen, libcunit1-dev,
+ debhelper-compat (= 12), doxygen, libcunit1-dev,
  libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
  libxinerama-dev, libxss-dev, libxtst-dev,
@@ -20,8 +21,7 @@
 
 Package: open-vm-tools
 Architecture: amd64 i386
-Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2, lsb-release,
- net-tools
+Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2, lsb-release
 Recommends: ethtool, zerofree, fuse
 Suggests: open-vm-tools-desktop, cloud-init
 Breaks: open-vm-tools-desktop (<< 2:10.3.5-2~)
